package top.continew.admin.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.web.bind.annotation.GetMapping;
import top.continew.admin.business.model.entity.InviteRewardsRule;
import top.continew.admin.business.model.query.InviteRewardsRuleQuery;
import top.continew.admin.business.model.req.InviteRewardsRuleReq;
import top.continew.starter.extension.crud.model.resp.BaseIdResp;
import top.continew.starter.extension.crud.model.resp.BasePageResp;

import java.util.List;

/**
 * <p>
 * 邀请用户金币奖励规则 服务类
 * </p>
 *
 * @author xudm
 * @since 2024-12-15
 */
public interface IInviteRewardsRuleService extends IService<InviteRewardsRule> {

    /**
     * 查询邀请用户金币奖励规则 分页
     *
     * @param query
     * @return
     */
    BasePageResp<InviteRewardsRule> InviteRewardsRulePage(InviteRewardsRuleQuery query);

    void delete(List<Long> ids);

    Long addRulesByLevel(InviteRewardsRuleReq inviteRewardsRule);

    void updateRules(Long id, InviteRewardsRuleReq req);

    List<InviteRewardsRule> getByIds(List<Long> ids);


    int getMaxLevel();

}
